DBD::Pg Module required on client

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

DBD::Pg Module required on client

sganesh02
Hello Members
I am using a Centos machine to install Chado on a database that sits on another system (so I am installing it remotely).
The module DBD::pg however expects a local installation of Postgres and asks for the path to pg_config (and Postgres version etc)
 
Is this a system requirement ? anyway to work around this ?
It seems like Chado will have to be installed from the system that has the actual database ?
 
Ganesh

------------------------------------------------------------------------------
Free Next-Gen Firewall Hardware Offer
Buy your Sophos next-gen firewall before the end March 2013
and get the hardware for free! Learn more.
http://p.sf.net/sfu/sophos-d2d-feb
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema
Reply | Threaded
Open this post in threaded view
|

Re: DBD::Pg Module required on client

Scott Cain
Hi Ganesh,

You don't need a full Postgres installation to install DBD::Pg, but you do need some Postgres libraries (I think it's libpq). Why don't you use yum to install DBD::Pg?  I think the package name is perl-DBD-Pg.

Scott


Sent from my iPhone

On Feb 15, 2013, at 9:41 AM, Ganesh S Moorthy <[hidden email]> wrote:

> Hello Members
> I am using a Centos machine to install Chado on a database that sits on another system (so I am installing it remotely).
> The module DBD::pg however expects a local installation of Postgres and asks for the path to pg_config (and Postgres version etc)
>  
> Is this a system requirement ? anyway to work around this ?
> It seems like Chado will have to be installed from the system that has the actual database ?
>  
> Ganesh
> ------------------------------------------------------------------------------
> Free Next-Gen Firewall Hardware Offer
> Buy your Sophos next-gen firewall before the end March 2013
> and get the hardware for free! Learn more.
> http://p.sf.net/sfu/sophos-d2d-feb
> _______________________________________________
> Gmod-schema mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gmod-schema

------------------------------------------------------------------------------
Free Next-Gen Firewall Hardware Offer
Buy your Sophos next-gen firewall before the end March 2013
and get the hardware for free! Learn more.
http://p.sf.net/sfu/sophos-d2d-feb
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema
Reply | Threaded
Open this post in threaded view
|

Re: DBD::Pg Module required on client

Nelson Nazzicari
In reply to this post by sganesh02
You should have no problems in connecting to a remote server. My guess here is that DBD::pg asks for a path to pg_config during installation, correct?
If this is the case, it is because:
DBD::Pg needs to know where to find the libpq libraries: this is usually done 
by checking the output of the pg_config executable. If pg_config is not available, 
then you may need to install the development package for PostgreSQL.
This comes from the DBD::pg readme which, if I'm correct, I advice you to read at http://www.cpan.org/modules/by-module/DBD/DBD-Pg-2.19.3.readme

If this is not the case (DBD::pg is not complaining during installation) you could probably give us more details on the error and we'll see from there.

N.

On Fri, Feb 15, 2013 at 3:41 PM, Ganesh S Moorthy <[hidden email]> wrote:
Hello Members
I am using a Centos machine to install Chado on a database that sits on another system (so I am installing it remotely).
The module DBD::pg however expects a local installation of Postgres and asks for the path to pg_config (and Postgres version etc)
 
Is this a system requirement ? anyway to work around this ?
It seems like Chado will have to be installed from the system that has the actual database ?
 
Ganesh

------------------------------------------------------------------------------
Free Next-Gen Firewall Hardware Offer
Buy your Sophos next-gen firewall before the end March 2013
and get the hardware for free! Learn more.
http://p.sf.net/sfu/sophos-d2d-feb
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema



------------------------------------------------------------------------------
Free Next-Gen Firewall Hardware Offer
Buy your Sophos next-gen firewall before the end March 2013
and get the hardware for free! Learn more.
http://p.sf.net/sfu/sophos-d2d-feb
_______________________________________________
Gmod-schema mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-schema